using System;
class Program
{
    static void Main(string[] args)
    {
        string[] s = Console.ReadLine().Split();
        long a = long.Parse(s[0]);
        long b = long.Parse(s[1]);
        long trazenibroj = 2 * a + 2 * b - 4;
        if(b%2 == 0)
            trazenibroj += (a - 2) * ((b-2)/2);
        else
            trazenibroj += (a - 2) * ((b - 3) / 2)+(a-2)/2;
        Console.WriteLine(trazenibroj);
    }
}